#
# spec file for package vpnc (Version 0.3.3)
#
# Copyright (c) 2008 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash binutils bzip2 coreutils cpio cpp cpp42 cracklib cvs diffutils file filesystem fillup findutils gawk gcc gcc42 gdbm gettext gettext-devel glibc glibc-devel glibc-locale grep groff gzip info insserv less libacl libattr libbz2-1 libbz2-devel libdb-4_5 libgcc42 libgcrypt libgcrypt-devel libgomp42 libgpg-error libgpg-error-devel libltdl-3 libmudflap42 libreadline5 libstdc++42 libtool libuuid1 libvolume_id libxcrypt libzio linux-kernel-headers m4 make man mktemp ncurses net-tools netcfg pam pam-modules patch perl perl-base permissions popt rpm sed sysvinit tar texinfo timezone util-linux zlib


Name:           vpnc
BuildRequires:  libgcrypt-devel
Version:        0.3.3
Release:        75.2
License:        BSD 3-Clause; GPL v2 or later
Group:          Productivity/Networking/Security
Url:            http://www.unix-ag.uni-kl.de/~massar/vpnc/
AutoReqProv:    on
Summary:        Client for cisco3000 VPN Concentrator
Requires:       /usr/bin/sed /sbin/ip
Source:         http://www.unix-ag.uni-kl.de/~massar/vpnc/%{name}-%{version}.tar.bz2
Patch:          post-0.3.3.diff
Patch1:         script-dir.diff
Patch2:         vpnc-man.diff
Patch3:         vpnc-script_regex.diff
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
A VPN client compatible with Cisco's EasyVPN equipment.

Supports IPSec (ESP) with Mode Configuration and Xauth.  Supports only
shared-secret IPSec authentication, 3DES, MD5, and IP tunneling.

It runs entirely in userspace and uses the TUN/TAP driver for access.



Authors:
--------
    Maurice Massar <vpnc at unix-ag dot uni-kl dot de>
    Eduard Bloch <blade at debian dot org>

%debug_package
%prep
%setup -n %{name}-%{version}
%patch -p1
%patch1 -p1
%patch2 -p0
%patch3 -p1

%build
%{?suse_update_config:%{suse_update_config -f}}
%{__make} CFLAGS="$RPM_OPT_FLAGS"

%install
[ "${RPM_BUILD_ROOT}" != "/" -a -d ${RPM_BUILD_ROOT} ] && rm -rf ${RPM_BUILD_ROOT}
mkdir -p \
	${RPM_BUILD_ROOT}/%{_localstatedir}/run/vpnc
%{__make} install PREFIX=/usr DESTDIR=${RPM_BUILD_ROOT}
touch ${RPM_BUILD_ROOT}/%{_sysconfdir}/vpnc/default.conf
rm ${RPM_BUILD_ROOT}/%{_sysconfdir}/vpnc/vpnc.conf
mv ${RPM_BUILD_DIR}/%{name}-%{version}/vpnc.conf ${RPM_BUILD_DIR}/%{name}-%{version}/example.conf
# Use chmod as %attr doesn't work for %doc maked files in the list
chmod 0600 ${RPM_BUILD_DIR}/%{name}-%{version}/example.conf
touch ${RPM_BUILD_ROOT}/%{_localstatedir}/run/vpnc/{defaultroute,gateway,pid,resolv.conf-backup}

%clean
[ "${RPM_BUILD_ROOT}" != "/" -a -d ${RPM_BUILD_ROOT} ] && rm -rf ${RPM_BUILD_ROOT}

%files
%defattr(-,root,root)
%attr(0600,root,root) %config(noreplace) %ghost %{_sysconfdir}/vpnc/default.conf
%dir %{_sysconfdir}/vpnc
%{_sbindir}/vpnc
%{_sbindir}/vpnc-disconnect
%dir %{_datadir}/vpnc
%{_datadir}/vpnc/vpnc-script
%{_mandir}/man8/vpnc.8.gz
%dir %{_localstatedir}/run/vpnc
%ghost %{_localstatedir}/run/vpnc/defaultroute
%ghost %{_localstatedir}/run/vpnc/gateway
%ghost %{_localstatedir}/run/vpnc/pid
%ghost %{_localstatedir}/run/vpnc/resolv.conf-backup
%doc ChangeLog COPYING README TODO VERSION example.conf

%changelog
* Fri Feb 29 2008 - lmuelle@suse.de
- Prevent failure to connect due to iproute syntax chnages; [bnc#365846].
* Sat Nov 11 2006 - aj@suse.de
- Fix permissions of man files.
- Compile with RPM_OPT_FLAGS.
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Fri Aug 12 2005 - lmuelle@suse.de
- Install the example configuration as example.conf in the doc dir.
* Thu Aug 11 2005 - lmuelle@suse.de
- Install vpnc.conf no longer as default.conf while keeping default.conf as
  %%config(noreplace) and %%ghost in the package list; [#103856].
* Fri May 20 2005 - lmuelle@suse.de
- Update to version 0.3.3; [#72234].
* Tue Nov 23 2004 - lmuelle@suse.de
- Update to version 0.3.2.
- Remove most parts of the vpnc-connect diff, [#46931].
* Thu Oct 14 2004 - mc@suse.de
- removed depcomp from filelist [#47074]
* Sat Aug 07 2004 - lmuelle@suse.de
- Update to version 0.2-rm+zomb.1; [#43525].
* Mon Jul 26 2004 - ro@suse.de
- added libgcrypt-devel, libgpg-error-devel to neededforbuild
* Sat May 08 2004 - lmuelle@suse.de
- Update to version 0.2-rm+zomb-pre9.
* Fri Apr 16 2004 - lmuelle@suse.de
- add man page and connect and disconnect script patches provided by Eduard
  Bloch <blade at debian dot org>
- add /etc/vpnc directory for additional configuration files
- rename /etc/wlan.conf to /etc/vpnc/default.conf
* Mon Apr 12 2004 - lmuelle@suse.de
- inital SuSE RPM
